# Action | CICADA
Documentation for CICADA

exports

### Hierarchy

- Action

## Index

### Properties

- action
- approval
- id
- role
- user

## Properties

### action

action: string

- Defined in src/app/_models/mappings.ts:4

Action performed

### approval

approval: boolean

- Defined in src/app/_models/mappings.ts:6

Action approval status.

### id

id: number

- Defined in src/app/_models/mappings.ts:8

Action ID

### role

role: string

- Defined in src/app/_models/mappings.ts:10

Admin's role in the system

### user

user: string

- Defined in src/app/_models/mappings.ts:12

Admin who initialized the action.

Generated using TypeDoc